import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner


class MainTest(unittest.TestCase):

    def test_answer(self):
        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput 
        main()
        sys.stdout = sys.__stdout__ 
        
        output = capturedOutput.getvalue().strip()
        # self.assertEqual(output, '{"0":2989.626782447967,"1":800.6106446281742,"2":-44.79961627495108,"3":3890.792585515841,"4":99.82970234993206}\n{"0":127907.55379718984,"1":222269.77522205363,"2":143604.46938495347,"3":268017.6065113987,"4":460686.5560042462,"5":406959.8765645142}')
        self.assertEqual(output, '[2989.6  800.6  -44.8 3890.8   99.8]\n[127907.6 222269.8 143604.5 268017.6 460686.6 406959.9]')

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())
